Bug 113001 - Use real “+” and “−” icons instead of translatable text for Customize dialog buttons
Summary: Use real “+” and “−” icons instead of translatable text for Customize dialog ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: low enhancement
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2017-10-08 17:04 UTC by Adolfo Jayme
Modified: 2017-10-24 06:15 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
customize dialog screenshot (64.72 KB, image/jpeg)
2017-10-08 18:43 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2017-10-08 17:04:14 UTC
The Customize dialog has two buttons which have been just labeled “+” and “-”. Apart from looking fugly (not just due to the ASCII hyphen 😉), it creates two pointless translatable strings. Better reuse the available icons for these buttons, which would add visibility.
Comment 1 tommy27 2017-10-08 18:43:06 UTC
Created attachment 136856 [details]
customize dialog screenshot

I confirm issue and attach a screenshot from a recent 6.0.x daily build under Win8.1 x64
Comment 2 Yousuf Philips (jay) 2017-10-13 01:08:15 UTC
Assume we can use the + and x icons found in the animation deck/tab of the sidebar in impress.
Comment 3 Heiko Tietze 2017-10-13 15:47:41 UTC
@Andreas: Please provide two icons for Muhammet. We likely do have some but in case there are none probably the other icon designers are needed too.
Comment 4 Adolfo Jayme 2017-10-19 09:44:31 UTC
(In reply to Yousuf Philips (jay) from comment #2)
> Assume we can use the + and x icons found in the animation deck/tab of the
> sidebar in impress.

Yes, please use those in the .ui code; we can replace the visuals with more appropriate icons later.
Comment 5 Muhammet Kara 2017-10-19 10:36:19 UTC
(In reply to Adolfo Jayme from comment #4)
> (In reply to Yousuf Philips (jay) from comment #2)
> > Assume we can use the + and x icons found in the animation deck/tab of the
> > sidebar in impress.
> 
> Yes, please use those in the .ui code; we can replace the visuals with more
> appropriate icons later.

Those look good to me. I'll use them if no objections.
Comment 6 Commit Notification 2017-10-24 04:57:36 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f5c1502f478bbb2a67c58833b4034aac112d709a

tdf#113001: Use real '+' and '−' icons for Customize dialog buttons

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 andreas_k 2017-10-24 06:15:10 UTC
in /extensions/source/scanner thre is minus and plus icon available in the most icon themes. I would choose this two icons if you need icons.